ubuntu安装(python3.5.0)tensorflow

各个环境:Ubuntu16.04+python3.5.0+tensorflow1.8.0

1.条件:

①Ubuntu为64为系统,安装python为64位。

(备注tensorflow安装是需要上面的两个为64位,否则在安装时出现tensorflow不支持该平台的错误)

②在ubuntu下安装python3.5.0+tensorflow1.8.0过程中使用普通用户进行安装,不要使用root用户进行安装,不然总是安装不成功。


2.安装python3.5.0: 参考网站

$ wget -c https://www.python.org/ftp/python/3.5.0/Python-3.5.0.tgz  
$ tar -xzvf Python-3.5.0.tgz  
$ cd Python-3.5.0/  
$ LDFLAGS="-L/usr/lib/x86_64-linux-gnu" ./configure  --with-zlib
$ make  
$ sudo make install   

安装时出现Ignoring ensurepip failure: pip 7.1.2 requires SSL/TLS


解决方法直接安装openssl-devel         

命令行敲入:sudo apt-get install libssl-dev


3.使用原生pip安装tensorflow(只支持CPU)   参考网站

安装pip3

#sudo apt-get install python3-pip python3-dev


安装tensorflow

#sudo pip3 install --upgrade  https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-1.8.0-cp35-cp35m-linux_x86_64.whl

此处出现错误:



更新pip3

#sudo pip3 install --upgrade pip


使用上面安装tensorfow的命令安装tensorflow又出现异常:


解决方法

修改 /usr/bin/pip3 文件

from pip import main
if __name__ == '__main__':
    sys.exit(main())

修改为:

from pip import __main__
if __name__ == '__main__':
    sys.exit(__main__._main())


使用上面安装tensorflow命令进行安装,如果安装过程中网络不可用可能是网络问题,多安装几遍。

成功安装tensorflow:



验证tensorflow是否安装成功:


   

发布了74 篇原创文章 · 获赞 7 · 访问量 11万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览